<html>
<head>
<title>OgrePatchSurface.h Source File - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="dir_aff4b7fb8d70b825eb8a2d7b3cbd2684.html">OgreMain</a>      </li>
      <li class="navelem"><a class="el" href="dir_5049b8c488e02232e72cb8867fab4a28.html">include</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">OgrePatchSurface.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="OgrePatchSurface_8h.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/*</span>
<a name="l00002"></a>00002 <span class="comment">-----------------------------------------------------------------------------</span>
<a name="l00003"></a>00003 <span class="comment">This source file is part of OGRE</span>
<a name="l00004"></a>00004 <span class="comment">    (Object-oriented Graphics Rendering Engine)</span>
<a name="l00005"></a>00005 <span class="comment">For the latest info, see http://www.ogre3d.org/</span>
<a name="l00006"></a>00006 <span class="comment"></span>
<a name="l00007"></a>00007 <span class="comment">Copyright (c) 2000-2012 Torus Knot Software Ltd</span>
<a name="l00008"></a>00008 <span class="comment"></span>
<a name="l00009"></a>00009 <span class="comment">Permission is hereby granted, free of charge, to any person obtaining a copy</span>
<a name="l00010"></a>00010 <span class="comment">of this software and associated documentation files (the &quot;Software&quot;), to deal</span>
<a name="l00011"></a>00011 <span class="comment">in the Software without restriction, including without limitation the rights</span>
<a name="l00012"></a>00012 <span class="comment">to use, copy, modify, merge, publish, distribute, sublicense, and/or sell</span>
<a name="l00013"></a>00013 <span class="comment">copies of the Software, and to permit persons to whom the Software is</span>
<a name="l00014"></a>00014 <span class="comment">furnished to do so, subject to the following conditions:</span>
<a name="l00015"></a>00015 <span class="comment"></span>
<a name="l00016"></a>00016 <span class="comment">The above copyright notice and this permission notice shall be included in</span>
<a name="l00017"></a>00017 <span class="comment">all copies or substantial portions of the Software.</span>
<a name="l00018"></a>00018 <span class="comment"></span>
<a name="l00019"></a>00019 <span class="comment">THE SOFTWARE IS PROVIDED &quot;AS IS&quot;, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR</span>
<a name="l00020"></a>00020 <span class="comment">IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,</span>
<a name="l00021"></a>00021 <span class="comment">FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE</span>
<a name="l00022"></a>00022 <span class="comment">AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER</span>
<a name="l00023"></a>00023 <span class="comment">LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,</span>
<a name="l00024"></a>00024 <span class="comment">OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN</span>
<a name="l00025"></a>00025 <span class="comment">THE SOFTWARE.</span>
<a name="l00026"></a>00026 <span class="comment">-----------------------------------------------------------------------------</span>
<a name="l00027"></a>00027 <span class="comment">*/</span>
<a name="l00028"></a>00028 <span class="preprocessor">#ifndef __PatchSurface_H__</span>
<a name="l00029"></a>00029 <span class="preprocessor"></span><span class="preprocessor">#define __PatchSurface_H__</span>
<a name="l00030"></a>00030 <span class="preprocessor"></span>
<a name="l00031"></a>00031 <span class="preprocessor">#include &quot;<a class="code" href="OgrePrerequisites_8h.html">OgrePrerequisites.h</a>&quot;</span>
<a name="l00032"></a>00032 
<a name="l00033"></a>00033 <span class="preprocessor">#include &quot;<a class="code" href="OgreVector3_8h.html">OgreVector3.h</a>&quot;</span>
<a name="l00034"></a>00034 <span class="preprocessor">#include &quot;<a class="code" href="OgreString_8h.html">OgreString.h</a>&quot;</span>
<a name="l00035"></a>00035 <span class="preprocessor">#include &quot;<a class="code" href="OgreRenderOperation_8h.html">OgreRenderOperation.h</a>&quot;</span>
<a name="l00036"></a>00036 <span class="preprocessor">#include &quot;<a class="code" href="OgreAxisAlignedBox_8h.html">OgreAxisAlignedBox.h</a>&quot;</span>
<a name="l00037"></a>00037 
<a name="l00038"></a>00038 <span class="keyword">namespace </span>Ogre {
<a name="l00039"></a>00039 
<a name="l00052"></a><a class="code" href="classOgre_1_1PatchSurface.html">00052</a>     <span class="keyword">class </span><a class="code" href="OgrePlatform_8h.html#a20566b1253bae200372ed9162489a663">_OgreExport</a> <a class="code" href="classOgre_1_1PatchSurface.html" title="A surface which is defined by curves of some kind to form a patch, e.g.">PatchSurface</a> : <span class="keyword">public</span> <a class="code" href="classOgre_1_1AllocatedObject.html" title="Superclass for all objects that wish to use custom memory allocators when their new / delete operator...">PatchAlloc</a>
<a name="l00053"></a>00053     {
<a name="l00054"></a>00054     <span class="keyword">public</span>:
<a name="l00055"></a>00055         <a class="code" href="classOgre_1_1PatchSurface.html" title="A surface which is defined by curves of some kind to form a patch, e.g.">PatchSurface</a>();
<a name="l00056"></a>00056         ~<a class="code" href="classOgre_1_1PatchSurface.html" title="A surface which is defined by curves of some kind to form a patch, e.g.">PatchSurface</a>();
<a name="l00057"></a>00057 
<a name="l00058"></a><a class="code" href="classOgre_1_1PatchSurface.html#abedf8abe8fa9fb9b1b7cff118cd2e278">00058</a>         <span class="keyword">enum</span> <a class="code" href="classOgre_1_1PatchSurface.html#abedf8abe8fa9fb9b1b7cff118cd2e278">PatchSurfaceType</a>
<a name="l00059"></a>00059         {
<a name="l00061"></a><a class="code" href="classOgre_1_1PatchSurface.html#abedf8abe8fa9fb9b1b7cff118cd2e278a3018de74c08da01f0eeea0f1445f1c8e">00061</a>             PST_BEZIER
<a name="l00062"></a>00062         };
<a name="l00063"></a>00063 
<a name="l00065"></a>00065         <span class="keyword">enum</span>
<a name="l00066"></a>00066         {
<a name="l00067"></a><a class="code" href="classOgre_1_1PatchSurface.html#a7ee650d77c69b42c43fb7553118c2503a575b3489dac0ce9bffbad3d630b76830">00067</a>             AUTO_LEVEL = -1
<a name="l00068"></a>00068         };
<a name="l00069"></a>00069 
<a name="l00070"></a><a class="code" href="classOgre_1_1PatchSurface.html#a3786509c9aac2a5ea44848e3f49c5eee">00070</a>         <span class="keyword">enum</span> <a class="code" href="classOgre_1_1PatchSurface.html#a3786509c9aac2a5ea44848e3f49c5eee">VisibleSide</a> {
<a name="l00072"></a><a class="code" href="classOgre_1_1PatchSurface.html#a3786509c9aac2a5ea44848e3f49c5eeeabe7d46958e7b6cf27e83c3e5600dafb2">00072</a>             <a class="code" href="classOgre_1_1PatchSurface.html#a3786509c9aac2a5ea44848e3f49c5eeeabe7d46958e7b6cf27e83c3e5600dafb2" title="The side from which u goes right and v goes up (as in texture coords)">VS_FRONT</a>,
<a name="l00074"></a><a class="code" href="classOgre_1_1PatchSurface.html#a3786509c9aac2a5ea44848e3f49c5eeea644ea2565457231655d0dea56da799ec">00074</a>             <a class="code" href="classOgre_1_1PatchSurface.html#a3786509c9aac2a5ea44848e3f49c5eeea644ea2565457231655d0dea56da799ec" title="The side from which u goes right and v goes down (reverse of texture coords)">VS_BACK</a>,
<a name="l00076"></a><a class="code" href="classOgre_1_1PatchSurface.html#a3786509c9aac2a5ea44848e3f49c5eeeaa4aa50d12e90df02c8d549e85d365eaa">00076</a>             VS_BOTH
<a name="l00077"></a>00077         };
<a name="l00105"></a>00105         <span class="keywordtype">void</span> defineSurface(<span class="keywordtype">void</span>* controlPointBuffer, 
<a name="l00106"></a>00106             <a class="code" href="classOgre_1_1VertexDeclaration.html" title="This class declares the format of a set of vertex inputs, which can be issued to the rendering API th...">VertexDeclaration</a> *declaration, <span class="keywordtype">size_t</span> width, <span class="keywordtype">size_t</span> height,
<a name="l00107"></a>00107             PatchSurfaceType pType = PST_BEZIER, 
<a name="l00108"></a>00108             <span class="keywordtype">size_t</span> uMaxSubdivisionLevel = AUTO_LEVEL, <span class="keywordtype">size_t</span> vMaxSubdivisionLevel = AUTO_LEVEL,
<a name="l00109"></a>00109             VisibleSide visibleSide = VS_FRONT);
<a name="l00110"></a>00110 
<a name="l00116"></a>00116         <span class="keywordtype">size_t</span> getRequiredVertexCount(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00122"></a>00122         <span class="keywordtype">size_t</span> getRequiredIndexCount(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00123"></a>00123 
<a name="l00125"></a>00125         <span class="keywordtype">size_t</span> getCurrentIndexCount(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00127"></a><a class="code" href="classOgre_1_1PatchSurface.html#ab83c4281f95bb02b8cbb4b41f97b9e2e">00127</a>         <span class="keywordtype">size_t</span> <a class="code" href="classOgre_1_1PatchSurface.html#ab83c4281f95bb02b8cbb4b41f97b9e2e" title="Returns the index offset used by this buffer to write data into the buffer.">getIndexOffset</a>(<span class="keywordtype">void</span>)<span class="keyword"> const </span>{ <span class="keywordflow">return</span> mIndexOffset; }
<a name="l00129"></a><a class="code" href="classOgre_1_1PatchSurface.html#ac545ac395017801a17d0e421d0e50101">00129</a>         <span class="keywordtype">size_t</span> <a class="code" href="classOgre_1_1PatchSurface.html#ac545ac395017801a17d0e421d0e50101" title="Returns the vertex offset used by this buffer to write data into the buffer.">getVertexOffset</a>(<span class="keywordtype">void</span>)<span class="keyword"> const </span>{ <span class="keywordflow">return</span> mVertexOffset; }
<a name="l00130"></a>00130 
<a name="l00131"></a>00131 
<a name="l00133"></a>00133         <span class="keyword">const</span> <a class="code" href="classOgre_1_1AxisAlignedBox.html" title="A 3D box aligned with the x/y/z axes.">AxisAlignedBox</a>&amp; getBounds(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00136"></a>00136         <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> getBoundingSphereRadius(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00152"></a>00152         <span class="keywordtype">void</span> build(<a class="code" href="classOgre_1_1HardwareVertexBufferSharedPtr.html" title="Shared pointer implementation used to share index buffers.">HardwareVertexBufferSharedPtr</a> destVertexBuffer, <span class="keywordtype">size_t</span> vertexStart,
<a name="l00153"></a>00153             <a class="code" href="classOgre_1_1HardwareIndexBufferSharedPtr.html" title="Shared pointer implementation used to share index buffers.">HardwareIndexBufferSharedPtr</a> destIndexBuffer, <span class="keywordtype">size_t</span> indexStart);
<a name="l00154"></a>00154 
<a name="l00163"></a>00163         <span class="keywordtype">void</span> setSubdivisionFactor(<a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> factor);
<a name="l00164"></a>00164 
<a name="l00166"></a>00166         <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> getSubdivisionFactor(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00167"></a>00167 
<a name="l00168"></a><a class="code" href="classOgre_1_1PatchSurface.html#ad3a4316d8594bbc7173a26703bdab2b1">00168</a>         <span class="keywordtype">void</span>* getControlPointBuffer(<span class="keywordtype">void</span>)<span class="keyword"> const</span>
<a name="l00169"></a>00169 <span class="keyword">        </span>{
<a name="l00170"></a>00170             <span class="keywordflow">return</span> mControlPointBuffer;
<a name="l00171"></a>00171         }
<a name="l00174"></a><a class="code" href="classOgre_1_1PatchSurface.html#a41fb9a71633f5658bac6c83403f46a43">00174</a>         <span class="keywordtype">void</span> <a class="code" href="classOgre_1_1PatchSurface.html#a41fb9a71633f5658bac6c83403f46a43" title="Convenience method for telling the patch that the control points have been deleted, since once the patch has been built they are not required.">notifyControlPointBufferDeallocated</a>(<span class="keywordtype">void</span>) { 
<a name="l00175"></a>00175             mControlPointBuffer = 0;
<a name="l00176"></a>00176         }
<a name="l00177"></a>00177     <span class="keyword">protected</span>:
<a name="l00179"></a><a class="code" href="classOgre_1_1PatchSurface.html#a437c71a16caed7a552d5de325323f7a3">00179</a>         <a class="code" href="classOgre_1_1VertexDeclaration.html" title="This class declares the format of a set of vertex inputs, which can be issued to the rendering API th...">VertexDeclaration</a>* <a class="code" href="classOgre_1_1PatchSurface.html#a437c71a16caed7a552d5de325323f7a3" title="Vertex declaration describing the control point buffer.">mDeclaration</a>;
<a name="l00181"></a><a class="code" href="classOgre_1_1PatchSurface.html#abc9fc2a6c93d26afce8e12f20a5ae36a">00181</a>         <span class="keywordtype">void</span>* <a class="code" href="classOgre_1_1PatchSurface.html#abc9fc2a6c93d26afce8e12f20a5ae36a" title="Buffer containing the system-memory control points.">mControlPointBuffer</a>;
<a name="l00183"></a><a class="code" href="classOgre_1_1PatchSurface.html#a8eb452f175ed459c32224a24c4111091">00183</a>         <a class="code" href="classOgre_1_1PatchSurface.html#abedf8abe8fa9fb9b1b7cff118cd2e278">PatchSurfaceType</a> <a class="code" href="classOgre_1_1PatchSurface.html#a8eb452f175ed459c32224a24c4111091" title="Type of surface.">mType</a>;
<a name="l00185"></a><a class="code" href="classOgre_1_1PatchSurface.html#a223697279c497602e1338134782c9691">00185</a>         <span class="keywordtype">size_t</span> <a class="code" href="classOgre_1_1PatchSurface.html#a223697279c497602e1338134782c9691" title="Width in control points.">mCtlWidth</a>;
<a name="l00187"></a><a class="code" href="classOgre_1_1PatchSurface.html#ac6ccdf6c36e9e75bdd71455292bfb210">00187</a>         <span class="keywordtype">size_t</span> <a class="code" href="classOgre_1_1PatchSurface.html#ac6ccdf6c36e9e75bdd71455292bfb210" title="Height in control points.">mCtlHeight</a>;
<a name="l00189"></a><a class="code" href="classOgre_1_1PatchSurface.html#a495d1ea0cc206d5be6fd2b1376534903">00189</a>         <span class="keywordtype">size_t</span> <a class="code" href="classOgre_1_1PatchSurface.html#a495d1ea0cc206d5be6fd2b1376534903" title="TotalNumber of control points.">mCtlCount</a>;
<a name="l00191"></a><a class="code" href="classOgre_1_1PatchSurface.html#a0292f4963f60a974876a8185de206d7f">00191</a>         <span class="keywordtype">size_t</span> <a class="code" href="classOgre_1_1PatchSurface.html#a0292f4963f60a974876a8185de206d7f" title="U-direction subdivision level.">mULevel</a>;
<a name="l00193"></a><a class="code" href="classOgre_1_1PatchSurface.html#ade1780fa07ac3eb2cd77a1e4e7effd48">00193</a>         <span class="keywordtype">size_t</span> <a class="code" href="classOgre_1_1PatchSurface.html#ade1780fa07ac3eb2cd77a1e4e7effd48" title="V-direction subdivision level.">mVLevel</a>;
<a name="l00195"></a><a class="code" href="classOgre_1_1PatchSurface.html#a7263e6acf1fc55ecd2bb772c471a2924">00195</a>         <span class="keywordtype">size_t</span> <a class="code" href="classOgre_1_1PatchSurface.html#a7263e6acf1fc55ecd2bb772c471a2924" title="Max subdivision level.">mMaxULevel</a>;
<a name="l00196"></a><a class="code" href="classOgre_1_1PatchSurface.html#ad253e0f7299f615d5f6603eb788a27db">00196</a>         <span class="keywordtype">size_t</span> <a class="code" href="classOgre_1_1PatchSurface.html#ad253e0f7299f615d5f6603eb788a27db">mMaxVLevel</a>;
<a name="l00198"></a><a class="code" href="classOgre_1_1PatchSurface.html#a4077a4271389af7bc4ec9e807bf91cde">00198</a>         <span class="keywordtype">size_t</span> <a class="code" href="classOgre_1_1PatchSurface.html#a4077a4271389af7bc4ec9e807bf91cde" title="Width of the subdivided mesh (big enough for max level)">mMeshWidth</a>;
<a name="l00200"></a><a class="code" href="classOgre_1_1PatchSurface.html#a5b31d465366d1856ab5f7a811cd3907f">00200</a>         <span class="keywordtype">size_t</span> <a class="code" href="classOgre_1_1PatchSurface.html#a5b31d465366d1856ab5f7a811cd3907f" title="Height of the subdivided mesh (big enough for max level)">mMeshHeight</a>;
<a name="l00202"></a><a class="code" href="classOgre_1_1PatchSurface.html#aeb543caba5713a3468d87c147873a35c">00202</a>         <a class="code" href="classOgre_1_1PatchSurface.html#a3786509c9aac2a5ea44848e3f49c5eee">VisibleSide</a> <a class="code" href="classOgre_1_1PatchSurface.html#aeb543caba5713a3468d87c147873a35c" title="Which side is visible.">mVSide</a>;
<a name="l00203"></a>00203 
<a name="l00204"></a><a class="code" href="classOgre_1_1PatchSurface.html#ad7bed3b4c073e58963c4f518824dc213">00204</a>         <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> <a class="code" href="classOgre_1_1PatchSurface.html#ad7bed3b4c073e58963c4f518824dc213">mSubdivisionFactor</a>;
<a name="l00205"></a>00205 
<a name="l00206"></a><a class="code" href="classOgre_1_1PatchSurface.html#a7cdd82601219502352dd0930ae03574f">00206</a>         <a class="code" href="structOgre_1_1vector.html">vector&lt;Vector3&gt;::type</a> <a class="code" href="classOgre_1_1PatchSurface.html#a7cdd82601219502352dd0930ae03574f">mVecCtlPoints</a>;
<a name="l00207"></a>00207 
<a name="l00210"></a>00210         <span class="keywordtype">size_t</span> findLevel( <a class="code" href="classOgre_1_1Vector3.html" title="Standard 3-dimensional vector.">Vector3</a>&amp; a, <a class="code" href="classOgre_1_1Vector3.html" title="Standard 3-dimensional vector.">Vector3</a>&amp; b, <a class="code" href="classOgre_1_1Vector3.html" title="Standard 3-dimensional vector.">Vector3</a>&amp; c);
<a name="l00211"></a>00211 
<a name="l00212"></a>00212         <span class="keywordtype">void</span> distributeControlPoints(<span class="keywordtype">void</span>* lockedBuffer);
<a name="l00213"></a>00213         <span class="keywordtype">void</span> subdivideCurve(<span class="keywordtype">void</span>* lockedBuffer, <span class="keywordtype">size_t</span> startIdx, <span class="keywordtype">size_t</span> stepSize, <span class="keywordtype">size_t</span> numSteps, <span class="keywordtype">size_t</span> iterations);
<a name="l00214"></a>00214         <span class="keywordtype">void</span> interpolateVertexData(<span class="keywordtype">void</span>* lockedBuffer, <span class="keywordtype">size_t</span> leftIndex, <span class="keywordtype">size_t</span> rightIndex, <span class="keywordtype">size_t</span> destIndex);
<a name="l00215"></a>00215         <span class="keywordtype">void</span> makeTriangles(<span class="keywordtype">void</span>);
<a name="l00216"></a>00216 
<a name="l00217"></a>00217         <span class="keywordtype">size_t</span> getAutoULevel(<span class="keywordtype">bool</span> forMax = <span class="keyword">false</span>);
<a name="l00218"></a>00218         <span class="keywordtype">size_t</span> getAutoVLevel(<span class="keywordtype">bool</span> forMax = <span class="keyword">false</span>);
<a name="l00219"></a>00219 
<a name="l00220"></a><a class="code" href="classOgre_1_1PatchSurface.html#ab71020e960b8f454f02ac7008ff8f149">00220</a>         <a class="code" href="classOgre_1_1HardwareVertexBufferSharedPtr.html" title="Shared pointer implementation used to share index buffers.">HardwareVertexBufferSharedPtr</a> <a class="code" href="classOgre_1_1PatchSurface.html#ab71020e960b8f454f02ac7008ff8f149">mVertexBuffer</a>;
<a name="l00221"></a><a class="code" href="classOgre_1_1PatchSurface.html#add834eb17f4476747c73d30c42c40ad8">00221</a>         <a class="code" href="classOgre_1_1HardwareIndexBufferSharedPtr.html" title="Shared pointer implementation used to share index buffers.">HardwareIndexBufferSharedPtr</a> <a class="code" href="classOgre_1_1PatchSurface.html#add834eb17f4476747c73d30c42c40ad8">mIndexBuffer</a>;
<a name="l00222"></a><a class="code" href="classOgre_1_1PatchSurface.html#a947c6821f4d14e3983e5f8e702ee1ba1">00222</a>         <span class="keywordtype">size_t</span> <a class="code" href="classOgre_1_1PatchSurface.html#a947c6821f4d14e3983e5f8e702ee1ba1">mVertexOffset</a>;
<a name="l00223"></a><a class="code" href="classOgre_1_1PatchSurface.html#ab20d64e316e68c29df2e0feacd8ce82c">00223</a>         <span class="keywordtype">size_t</span> <a class="code" href="classOgre_1_1PatchSurface.html#ab20d64e316e68c29df2e0feacd8ce82c">mIndexOffset</a>;
<a name="l00224"></a><a class="code" href="classOgre_1_1PatchSurface.html#a540444f2d390279342b950e34651e5c8">00224</a>         <span class="keywordtype">size_t</span> <a class="code" href="classOgre_1_1PatchSurface.html#a540444f2d390279342b950e34651e5c8">mRequiredVertexCount</a>;
<a name="l00225"></a><a class="code" href="classOgre_1_1PatchSurface.html#a8f7f0bb8ee32d786e94a2d58c5d1cc47">00225</a>         <span class="keywordtype">size_t</span> <a class="code" href="classOgre_1_1PatchSurface.html#a8f7f0bb8ee32d786e94a2d58c5d1cc47">mRequiredIndexCount</a>;
<a name="l00226"></a><a class="code" href="classOgre_1_1PatchSurface.html#afa053936dd43a2856e64cd4c39e21d73">00226</a>         <span class="keywordtype">size_t</span> <a class="code" href="classOgre_1_1PatchSurface.html#afa053936dd43a2856e64cd4c39e21d73">mCurrIndexCount</a>;
<a name="l00227"></a>00227 
<a name="l00228"></a><a class="code" href="classOgre_1_1PatchSurface.html#a2da824a653e19ad4b6196725e462c192">00228</a>         <a class="code" href="classOgre_1_1AxisAlignedBox.html" title="A 3D box aligned with the x/y/z axes.">AxisAlignedBox</a> <a class="code" href="classOgre_1_1PatchSurface.html#a2da824a653e19ad4b6196725e462c192">mAABB</a>;
<a name="l00229"></a><a class="code" href="classOgre_1_1PatchSurface.html#af487823bcd4b0fc386b426599c7b19cf">00229</a>         <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> <a class="code" href="classOgre_1_1PatchSurface.html#af487823bcd4b0fc386b426599c7b19cf">mBoundingSphere</a>;
<a name="l00230"></a>00230 
<a name="l00231"></a>00231 
<a name="l00232"></a>00232 
<a name="l00233"></a>00233     };
<a name="l00234"></a>00234 
<a name="l00238"></a>00238 } <span class="comment">// namespace</span>
<a name="l00239"></a>00239 
<a name="l00240"></a>00240 <span class="preprocessor">#endif</span>
</pre></div></div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:51
</p>
</body>
</html>
